// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('mcplus recipes script loaded')

onEvent('recipes', event => {

    event.shaped('minecraft:ender_pearl', [
        ' S ',
        'SAS',
        ' S '
    ], {
        S: 'minecraft:obsidian',
        A: 'minecraft:diamond'
    }).id('mcplus:ender_pearl')

    event.shaped('minecraft:totem_of_undying', [
        'SAS',
        'SSS',
        ' S '
    ], {
        S: 'minecraft:gold_ingot',
        A: 'minecraft:emerald'
    }).id('mcplus:totem')

    event.smelting('minecraft:leather', 'minecraft:rotten_flesh').id('mcplus:rotten_flesh')


    event.remove({output: 'waystones:local_void'})
    event.remove({output: 'heartbond:ender_heart'})

	event.remove({mod: 'icarus'})


    event.shaped('waystones:local_void', [
        'SAS'
    ], {
        S: 'minecraft:flint',
        A: 'minecraft:obsidian'
    }).id('mcplus:local_void')

   

    event.shaped('minecraft:enchanted_golden_apple', [
        'SSS',
        'SAS',
        'SSS'
    ], {
        S: 'minecraft:gold_block',
        A: 'minecraft:apple'
    }).id('mcplus:enchanted_golden_apple')

    event.shapeless('4x minecraft:string', ['minecraft:white_wool']).id('mcplus:string')

    event.shaped('8x minecraft:gunpowder', [
        'SSS',
        'SAS',
        'SSS'
    ], {
        S: 'minecraft:sugar',
        A: 'minecraft:coal'
    }).id('mcplus:gunpowder')

    event.shaped('minecraft:slime_ball', [
        'SSS',
        'SAS',
        'SSS'
    ], {
        S: 'minecraft:wheat_seeds',
        A: 'minecraft:snowball'
    }).id('mcplus:slime_ball')

    event.shapeless('minecraft:water_bucket', ['minecraft:bucket','minecraft:ice']).id('mcplus:water_bucket')

    event.shapeless('minecraft:lava_bucket', ['minecraft:bucket','minecraft:magma_block']).id('mcplus:lava_bucket')

    event.shaped('minecraft:elytra', [
        'ASA',
        ' A '
    ], {
        S: 'dragonloot:dragon_scale',
        A: 'minecraft:phantom_membrane'
    }).id('mcplus:elytra')

    event.shapeless('4x minecraft:quartz', ['minecraft:quartz_block']).id('mcplus:quartz')

    event.shaped('9x dragonloot:dragon_scale', [
        'SSS',
        'SAS',
        'SSS'
    ], {
        S: 'minecraft:dragon_breath',
        A: 'minecraft:dragon_egg'
    }).id('mcplus:dragon_scale')

    

    event.shaped('heartbond:ender_heart', [
        ' S ',
        'SAS',
        ' S '
    ], {
        S: 'minecraft:obsidian',
        A: 'waystones:abyss_watcher'
    }).id('mcplus:ender_heart')
})